% Template code for convergence of PTR. Also serves as Matlab warm up.
% Barnett 6/5/14

a = 0.2;
f = @(s) a./(a^2+sin(s/2).^2);  % note elementwise ops
s=0:1e-3:2*pi; figure; plot(s,f(s),'-'); xlabel('s'); title('integrand');

Ns = 10:10:100;   % convergence study.
Is = 0*Ns;   % will get filled by you with each I_N looping over N's
for i=1:numel(Ns), N = Ns(i);
  % ... insert quadrature here for Is(i) = I_N.
  Is(i) = ...
  fprintf('N=%d\t I_N = %.16g\n',N,Is(i))
end
% ... now do appropriate plot



% If you used a loop to compute each Is(i), redo using vectorized operations
% such as the list 1:N, the sum commands, etc

